aboutsummaryrefslogtreecommitdiff
path: root/compile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'compile.sh')
-rwxr-xr-xcompile.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/compile.sh b/compile.sh
new file mode 100755
index 0000000..faeaf52
--- /dev/null
+++ b/compile.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+CC=gcc
+CFLAGS="-Wall -Wextra -Werror -ggdb3"
+SRCS=cup/*.c
+
+set -xe
+
+$CC $CFLAGS $SRCS -o cupcc
+./cupcc $@